RubyGems Navigation menu

Reverse dependencies for upsert 2.2.1